# Contributing

## Reporting Issues

We recommend the following guidelines for reporting bugs - 

- For faster response, we recommend using [Kinvey support](https://support.kinvey.com/support/home).
- For bugs and enhancements specific to the JS library that are not time critical, developers may [file a GitHub issue](https://github.com/Kinvey/javascript-sdk-core/issues).

### Filing a bug

When filing a bug, please provide the following information - 

- Steps to reproduce
- Expected result
- Actual result
- Sample code that demonstrates the issue
- Version of Kinvey / JavaScript platform / device or browser
- Kinvey app ID (**never post your app secrets publicly**)


## Contributing Code

When contributing to the repository, please follow these guidelines - 

- All contributions must be in the form of a pull request, with the `develop` branch as the base. 
- Pull requests must pass the unit tests in the codebase. Whenever possible, new code should also add unit tests.
- Each commit should include a commit message describing the change; and each pull request should include a high level summary of the bug or enhancement being addressed by the pull request.
- The core team (Kinvey engineering) is currently responsible for reviewing, merging and releasing new code.

We require that all contributors agree to our [CLA]() prior to making a contribution.